Bug 204823 - We display links on published errata that point to redhat bugzilla urls
We display links on published errata that point to redhat bugzilla urls
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Newberry
Preethi Thomas
:
Depends On:
Blocks: 146933
  Show dependency treegraph
 
Reported: 2006-08-31 14:36 EDT by Ken Ganong
Modified: 2013-08-05 23:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 420
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 11:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-08-31 14:36:03 EDT
In the errata Details tab, we display a link to redhat's bugzilla.
This link is incorrect for any user-created errata.

Reproduce:
Go to Channels -> Manage Software Channels -> Create a channel
Go to Errata -> Manage Errata -> Create an errata with a couple bugs -> publish
that Errata
Go to Errata -> All -> click your errata.

Actual results:
Under the fixes header, you will see your bugs with a link.  That link
will point to some random bug in the red hat database even though your
errata isn't a redhat errata.

Expected results:
Easy fix:
  Display the link only for redhat errata.
Hard fix:
  Offer the user some way of describing their bug database urls and display
  a url in that fashion for user created bugs, but the other way for redhat
  bugs.
Comment 1 Ryan Newberry 2006-10-19 15:07:45 EDT
Fix committed as of revision 104551. Used the above "easy fix."

TEST PLAN
--------------
1)Create an errata with a bug id and bug synopsis.
2)Ensure that when the errata is published, the bug does not link to Red Hat's
bugzilla.
Comment 2 Preethi Thomas 2007-01-17 09:10:04 EST
verified. qapush#5
Comment 3 Preethi Thomas 2007-03-07 12:36:45 EST
verified in stage.

Note You need to log in before you can comment on or make changes to this bug.